%global fontname gnu-free
%global fontconf 69-%{fontname}
%global common_description %{expand:
Gnu FreeFont is a free family of scalable outline fonts, suitable for general use on computers and
for desktop publishing. It is Unicode-encoded for compatibility with all modern operating systems.

Besides a full set of characters for writing systems based on the Latin alphabet, FreeFont contains
large selection of characters from other writing systems some of which are hard to find elsewhere.

FreeFont also contains a large set of symbol characters, both technical and decorative. We are
especially pleased with the Mathematical Operators range, with which most of the glyphs used in
LaTeX can be displayed.}

Summary:   Free UCS Outline Fonts
Name:      %{fontname}-fonts
Version:   20120503
Release:   5%{?dist}
License:   GPL-3.0-or-later with exceptions
URL:       http://www.gnu.org/software/freefont/ 
Source0:   http://ftp.gnu.org/gnu/freefont/freefont-src-%{version}.tar.gz
Source2:   %{fontconf}-mono.conf
Source3:   %{fontconf}-sans.conf
Source4:   %{fontconf}-serif.conf
Source5:   %{fontname}.metainfo.xml
Source6:   %{fontname}-mono.metainfo.xml
Source7:   %{fontname}-sans.metainfo.xml
Source8:   %{fontname}-serif.metainfo.xml

Patch3000: gnu-free-fonts-devanagari-rendering.patch

BuildRequires: make fontpackages-devel fontforge /usr/bin/2to3
BuildArch: noarch

%description
%{common_description}

%package common
Summary:  Common files for freefont (documentation…)
Requires: fontpackages-filesystem

%description common
%{common_description}

This package consists of files used by other %{name} packages.

%package -n %{fontname}-mono-fonts
Summary:  GNU FreeFont Monospaced Font
Requires: %{name}-common = %{version}-%{release}

%description -n %{fontname}-mono-fonts
%{common_description}

This package contains the GNU FreeFont monospaced font.

%package -n %{fontname}-sans-fonts
Summary:  GNU FreeFont Sans-Serif Font
Requires: %{name}-common = %{version}-%{release}

%description -n %{fontname}-sans-fonts
%{common_description}

This package contains the GNU FreeFont sans-serif font.

%package -n %{fontname}-serif-fonts
Summary:  GNU FreeFont Serif Font
Requires: %{name}-common = %{version}-%{release}

%description -n %{fontname}-serif-fonts
%{common_description}

This package contains the GNU FreeFont serif font.

%prep
%autosetup -n freefont-%{version} -p1


pushd tools
    pushd generate
    rm *.pyc
    for item in `ls`;do
       2to3 -w $item
    done
    popd
popd

%build
%make_build

%install
pushd sfd
install -m 0755 -d %{buildroot}%{_fontdir}
install -p -m 644 *.ttf  %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE2} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-mono.conf

install -m 0644 -p %{SOURCE3} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-sans.conf

install -m 0644 -p %{SOURCE4} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}-serif.conf


for fconf in %{fontconf}-mono.conf \
                %{fontconf}-sans.conf \
                %{fontconf}-serif.conf ; do
  ln -s %{_fontconfig_templatedir}/$fconf \
        %{buildroot}%{_fontconfig_confdir}/$fconf
done

install -Dm 0644 -p %{SOURCE5} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml
install -Dm 0644 -p %{SOURCE6} \
        %{buildroot}%{_datadir}/appdata/%{fontname}-mono.metainfo.xml
install -Dm 0644 -p %{SOURCE7} \
        %{buildroot}%{_datadir}/appdata/%{fontname}-sans.metainfo.xml
install -Dm 0644 -p %{SOURCE8} \
        %{buildroot}%{_datadir}/appdata/%{fontname}-serif.metainfo.xml

%_font_pkg -n mono -f %{fontconf}-mono.conf FreeMono*.ttf
%{_datadir}/appdata/%{fontname}-mono.metainfo.xml
%_font_pkg -n sans -f %{fontconf}-sans.conf FreeSans*.ttf
%{_datadir}/appdata/%{fontname}-sans.metainfo.xml
%_font_pkg -n serif -f %{fontconf}-serif.conf FreeSerif*.ttf
%{_datadir}/appdata/%{fontname}-serif.metainfo.xml

%files common
%license COPYING
%doc AUTHORS ChangeLog CREDITS README
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 20120503-5
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20120503-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20120503-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20120503-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 30 2023 Shuo Wang <abushwang@tencent.com> - 20120503-1
- initial build
